<div class="form-clean">
  <form #loginForm="ngForm" method="post" (ngSubmit)="OnSubmit(UserName.value,Password.value)">
    <h2 class="sr-only">Login Form</h2>
    <div class="logo">
      <img src="assets/agora.png" class="form-logo">
    </div>
    <mat-form-field class="example-full-width">
      <input matInput type="text" #UserName="ngModel" [(ngModel)]="credentials.identifier" name="user_name" placeholder="User name" required>
      <mat-error *ngIf="UserName.errors?.required" >Please enter User name</mat-error>
    </mat-form-field>
    <mat-form-field class="example-full-width">
      <input matInput type="password" #Password="ngModel" [(ngModel)]="credentials.password" name="password" [ngStyle]="Password.errors?.required && {'color': 'red'}" placeholder="Password" required>
      <mat-error *ngIf="Password.errors?.required" >Please enter Password</mat-error>
    </mat-form-field>
    <div class="form-group">
      <button class="btn btn-primary btn-block btn-round" [disabled]="!loginForm.valid || isLoading || socialLoading" type="submit">
        <i *ngIf="isLoading" class="fa fa-spinner fa-spin"></i>{{message}}</button>
    </div>
  </form>
  <a routerLink="/forgot-password" class="forgot">Forgot your password?</a>
  <a class="forgot">OR</a>
  <app-social-login [disabled]="isLoading || socialLoading" (isCurrentlyLoading)="socialLoading=$event"></app-social-login>
  <div *ngIf="error" class="error">
    An error occured please try again.
  </div>
</div>